org.apache.mina.filter.codec

## Class ProtocolDecoderAdapter

- java.lang.Object
- - org.apache.mina.filter.codec.ProtocolDecoderAdapter

- All Implemented Interfaces:
    ProtocolDecoder
  Direct Known Subclasses:
    CumulativeProtocolDecoder

      public abstract class ProtocolDecoderAdapter
      extends Object
      implements ProtocolDecoder

  An abstract `ProtocolDecoder` implementation for those who don't need `ProtocolDecoder.finishDecode(IoSession, ProtocolDecoderOutput)` nor `ProtocolDecoder.dispose(IoSession)` method.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolDecoderAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose(IoSession session)` Override this method to dispose all resources related with this decoder.
    `void` | `finishDecode(IoSession session, ProtocolDecoderOutput out)` Override this method to deal with the closed connection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.filter.codec.ProtocolDecoder

      `decode`

- - ### Constructor Detail

    - #### ProtocolDecoderAdapter

          public ProtocolDecoderAdapter()

  - ### Method Detail

    - #### finishDecode

          public void finishDecode(IoSession session,
                          ProtocolDecoderOutput out)
                            throws Exception

      Override this method to deal with the closed connection. The default implementation does nothing.
      Specified by:
        `finishDecode` in interface `ProtocolDecoder`
      Throws:
        `Exception` - if the read data violated protocol specification

    - #### dispose

          public void dispose(IoSession session)
                       throws Exception

      Override this method to dispose all resources related with this decoder. The default implementation does nothing.
      Specified by:
        `dispose` in interface `ProtocolDecoder`
      Throws:
        `Exception` - if failed to dispose all resources

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.